> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rdp.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete DNS Record

> Delete a DNS record from the domain.



## OpenAPI

````yaml delete /domains/{domain}/dns/{record}
openapi: 3.1.0
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://rdp.sh/api/v1
    description: Default production endpoint.
security: []
paths:
  /domains/{domain}/dns/{record}:
    delete:
      summary: Delete DNS record
      description: Delete a DNS record from the domain.
      operationId: deleteDnsRecord
      parameters:
        - $ref: '#/components/parameters/domain'
        - $ref: '#/components/parameters/record'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                title: DeleteDnsRecordOk
                properties:
                  status:
                    type: boolean
                    examples:
                      - true
                  message:
                    type: string
                    examples:
                      - DNS record deleted
                  record_id:
                    type: integer
                    examples:
                      - 42
          description: DNS record deleted successfully.
        '403':
          description: User does not own the domain, or the domain is suspended.
        '404':
          description: The record does not belong to the domain.
      security:
        - Authorization: []
components:
  parameters:
    domain:
      in: path
      name: domain
      schema:
        type: integer
      required: true
      description: Domain ID
    record:
      in: path
      name: record
      schema:
        type: integer
      required: true
      description: DNS record ID
  securitySchemes:
    Authorization:
      in: header
      name: Authorization
      type: apiKey

````